export default {
  agg: {
    微博: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '发稿量',
        key: 'publishCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'readCount',
        type: 'number',
        sortable: 'custom',
      },
      //   {
      //     label: "本月累计阅读量",
      //     key: "monthReadCount",
      //     type: 'number'
      //   },
      {
        label: '粉丝数',
        key: 'fans',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '分享量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
    ],
    微信: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '发稿量',
        key: 'publishCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'readCount',
        type: 'number',
        sortable: 'custom',
      },
      //   {
      //     label: "本月累计阅读量",
      //     key: "monthReadCount",
      //     type: 'number'
      //   },
      {
        label: '粉丝数',
        key: 'fans',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '分享量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '收藏数',
        key: 'favCount',
        type: 'number',
      },
    ],
    头条: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '发稿量',
        key: 'publishCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'readCount',
        type: 'number',
        sortable: 'custom',
      },
      //   {
      //     label: "本月累计阅读量",
      //     key: "monthReadCount",
      //     type: 'number'
      //   },
    ],
    抖音: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '发稿量',
        key: 'publishCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'readCount',
        type: 'number',
        sortable: 'custom',
      },
      //   {
      //     label: "本月累计阅读量",
      //     key: "monthReadCount",
      //     type: 'number'
      //   },
      {
        label: '分享量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      //   {
      //     label: "粉丝数",
      //     key: "fans",
      //    sortable: "custom"
      //   },
    ],
    快手: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '发稿量',
        key: 'publishCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'readCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '粉丝量',
        key: 'fans',
        type: 'number',
        sortable: 'custom',
      },
      //   {
      //     label: "本月累计阅读量",
      //     key: "monthReadCount",
      //     type: 'number'
      //   },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
    ],
    B站: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '发稿量',
        key: 'publishCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'readCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '粉丝量',
        key: 'fans',
        type: 'number',
        sortable: 'custom',
      },
      //   {
      //     label: "本月累计阅读量",
      //     key: "monthReadCount",
      //     type: 'number'
      //   },
    ],
    视频号: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '发稿量',
        key: 'publishCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '转发量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
    ],
  },
  list: {
    微博: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '稿件',
        key: 'title',
      },
      {
        label: '阅读量',
        key: 'playCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '分享量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '发布时间',
        key: 'publishTime',
        sortable: 'custom',
      },
    ],
    微信: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '稿件',
        key: 'title',
      },
      {
        label: '转发量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'playCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '分享量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '发布时间',
        key: 'publishTime',
        sortable: 'custom',
      },
    ],
    头条: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '稿件',
        key: 'title',
      },
      {
        label: '转发量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'playCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '发布时间',
        key: 'publishTime',
        sortable: 'custom',
      },
    ],
    抖音: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '稿件',
        key: 'title',
      },
      {
        label: '转发量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'playCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '分享量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '发布时间',
        key: 'publishTime',
        sortable: 'custom',
      },
    ],
    快手: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '稿件',
        key: 'title',
      },
      {
        label: '阅读量',
        key: 'playCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '发布时间',
        key: 'publishTime',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
    ],
    B站: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '稿件',
        key: 'title',
      },
      {
        label: '转发量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '阅读量',
        key: 'playCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '发布时间',
        key: 'publishTime',
        sortable: 'custom',
      },
    ],
    视频号: [
      {
        label: '排名',
        key: 'index',
        width: 50,
      },
      {
        label: '部门',
        key: 'depName',
      },
      {
        label: '账号',
        key: 'userName',
      },
      {
        label: '稿件',
        key: 'title',
      },
      {
        label: '点赞量',
        key: 'likeCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '转发量',
        key: 'shareCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '评论量',
        key: 'commentCount',
        type: 'number',
        sortable: 'custom',
      },
      {
        label: '发布时间',
        key: 'publishTime',
        sortable: 'custom',
      },
    ],
  },
};
